commit:     3847c69473d324465e9eb6e88bf18db02da1a898
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Sat Oct 24 18:39:07 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Oct 26 16:17:33 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3847c694

dev-db/redis: bump to 6.0.8

Closes: https://bugs.gentoo.org/750965
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18024
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-db/redis/Manifest           |   1 +
 dev-db/redis/redis-6.0.8.ebuild | 174 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 175 insertions(+)

diff --git a/dev-db/redis/Manifest b/dev-db/redis/Manifest
index 7d3e23dd97d..f3d40c434ae 100644
--- a/dev-db/redis/Manifest
+++ b/dev-db/redis/Manifest
@@ -1,2 +1,3 @@
 DIST redis-5.0.9.tar.gz 1986574 BLAKE2B 
7802d0556d11c9be8577b9bb3f4dbad8c2419b38659001421f96040e8a64a4a304e9dc1f06d82802ce1c92515d166cfd37c2f347df4c4cda0c2c4c2bb10d27c5
 SHA512 
d2c7bc1f769bc5d179bfe6e71954962813b50597eafc752a9b1edf2fd87e84707b7daf0910db56dd0e89cb3bdb3e551da7f111ae4899f505bac5f77f99744c13
 DIST redis-6.0.6.tar.gz 2228781 BLAKE2B 
42396f464611cd5d83a79a97d2e4f74c0adabf9338802ec748c24f6ea46d42c6e51fedecc5cd26c7cff6b2a3c7a26bbbf79db7a54a6cbeff388587d186268796
 SHA512 
bb60aff6e495b201fed814eb134e6ce2825429ef6bd52215c7369eec941318ba460d60ad7b0cef3684b3f992823d465869177dc1d0eb16886bfed598dff74f65
+DIST redis-6.0.8.tar.gz 2247528 BLAKE2B 
b243e7e1bd1fff16fcbf5d50e71c757204e304c14a7f5303c79d7fc6eaa29ba07d6765bdbeead050f03af0ca8c8e439b61d5089b983fd22b9ad081f307d62f98
 SHA512 
49d1ef623c330716c035f6dfd5a4754af4d53b6ec5ea7366fecf9dd90290968893e9f2375e191e7075db563180044c30e58a63624d352ecb5413449c6136e21a

diff --git a/dev-db/redis/redis-6.0.8.ebuild b/dev-db/redis/redis-6.0.8.ebuild
new file mode 100644
index 00000000000..a342091beee
--- /dev/null
+++ b/dev-db/redis/redis-6.0.8.ebuild
@@ -0,0 +1,174 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic systemd toolchain-funcs
+
+DESCRIPTION="A persistent caching system, key-value and data structures 
database"
+HOMEPAGE="https://redis.io";
+SRC_URI="http://download.redis.io/releases/${P}.tar.gz";
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~x86-macos ~x86-solaris"
+IUSE="+jemalloc luajit tcmalloc test"
+RESTRICT="!test? ( test )"
+SLOT="0"
+
+# Redis does NOT build with Lua 5.2 or newer at this time.
+# This should link correctly with both unslotted & slotted Lua, without
+# changes.
+COMMON_DEPEND="
+       jemalloc? ( >=dev-libs/jemalloc-5.1:= )
+       luajit? ( dev-lang/luajit:2 )
+       !luajit? ( || ( dev-lang/lua:5.1 =dev-lang/lua-5.1*:0 ) )
+       tcmalloc? ( dev-util/google-perftools )
+"
+
+RDEPEND="
+       ${COMMON_DEPEND}
+       acct-group/redis
+       acct-user/redis
+"
+
+BDEPEND="
+       ${COMMON_DEPEND}
+       virtual/pkgconfig
+"
+
+# Tcl is only needed in the CHOST test env
+DEPEND="
+       ${COMMON_DEPEND}
+       test? ( dev-lang/tcl:0= )"
+
+REQUIRED_USE="?? ( jemalloc tcmalloc )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.2.3-config.patch
+       "${FILESDIR}"/${PN}-5.0-shared.patch
+       "${FILESDIR}"/${PN}-6.0.3-sharedlua.patch
+       "${FILESDIR}"/${PN}-5.0.8-ppc-atomic.patch
+       "${FILESDIR}"/${PN}-sentinel-5.0-config.patch
+)
+
+src_prepare() {
+       default
+
+       # unstable on jemalloc
+       > tests/unit/memefficiency.tcl || die
+
+       # Copy lua modules into build dir
+       cp 
"${S}"/deps/lua/src/{fpconv,lua_bit,lua_cjson,lua_cmsgpack,lua_struct,strbuf}.c 
"${S}"/src || die
+       cp "${S}"/deps/lua/src/{fpconv,strbuf}.h "${S}"/src || die
+       # Append cflag for lua_cjson
+       # 
https://github.com/antirez/redis/commit/4fdcd213#diff-3ba529ae517f6b57803af0502f52a40bL61
+       append-cflags "-DENABLE_CJSON_GLOBAL"
+
+       # now we will rewrite present Makefiles
+       local makefiles="" MKF
+       for MKF in $(find -name 'Makefile' | cut -b 3-); do
+               mv "${MKF}" "${MKF}.in"
+               sed -i  -e 's:$(CC):@CC@:g' \
+                       -e 's:$(CFLAGS):@AM_CFLAGS@:g' \
+                       -e 's: $(DEBUG)::g' \
+                       -e 's:$(OBJARCH)::g' \
+                       -e 's:ARCH:TARCH:g' \
+                       -e '/^CCOPT=/s:$: $(LDFLAGS):g' \
+                       "${MKF}.in" \
+               || die "Sed failed for ${MKF}"
+               makefiles+=" ${MKF}"
+       done
+       # autodetection of compiler and settings; generates the modified 
Makefiles
+       cp "${FILESDIR}"/configure.ac-3.2 configure.ac || die
+
+       # Use the correct pkgconfig name for Lua
+       if false && has_version 'dev-lang/lua:5.3'; then
+               # Lua5.3 gives:
+               #lua_bit.c:83:2: error: #error "Unknown number type, check 
LUA_NUMBER_* in luaconf.h"
+               LUAPKGCONFIG=lua5.3
+       elif false && has_version 'dev-lang/lua:5.2'; then
+               # Lua5.2 fails with:
+               # scripting.c:(.text+0x1f9b): undefined reference to `lua_open'
+               # Because lua_open because lua_newstate in 5.2
+               LUAPKGCONFIG=lua5.2
+       elif has_version 'dev-lang/lua:5.1'; then
+               LUAPKGCONFIG=lua5.1
+       else
+               LUAPKGCONFIG=lua
+       fi
+       # The upstream configure script handles luajit specially, and is not
+       # effected by these changes.
+       einfo "Selected LUAPKGCONFIG=${LUAPKGCONFIG}"
+       sed -i  \
+               -e "/^AC_INIT/s|, [0-9].+, |, $PV, |" \
+               -e 
"s:AC_CONFIG_FILES(\[Makefile\]):AC_CONFIG_FILES([${makefiles}]):g" \
+               -e "/PKG_CHECK_MODULES.*\<LUA\>/s,lua5.1,${LUAPKGCONFIG},g" \
+               configure.ac || die "Sed failed for configure.ac"
+       eautoreconf
+}
+
+src_configure() {
+       econf $(use_with luajit)
+
+       # Linenoise can't be built with -std=c99, see 
https://bugs.gentoo.org/451164
+       # also, don't define ANSI/c99 for lua twice
+       sed -i -e "s:-std=c99::g" deps/linenoise/Makefile deps/Makefile || die
+}
+
+src_compile() {
+       local myconf=""
+
+       if use jemalloc; then
+               myconf+="MALLOC=jemalloc"
+       elif use tcmalloc; then
+               myconf+="MALLOC=tcmalloc"
+       else
+               myconf+="MALLOC=libc"
+       fi
+
+       tc-export AR CC RANLIB
+       emake V=1 ${myconf} AR="${AR}" CC="${CC}" RANLIB="${RANLIB}"
+}
+
+src_test() {
+       # Known to fail with FEATURES=usersandbox
+       if has usersandbox ${FEATURES}; then
+               ewarn "You are emerging ${P} with 'usersandbox' enabled." \
+                       "Expect some test failures or emerge with 
'FEATURES=-usersandbox'!"
+       fi
+
+       emake check
+}
+
+src_install() {
+       insinto /etc/
+       doins redis.conf sentinel.conf
+       use prefix || fowners redis:redis /etc/{redis,sentinel}.conf
+       fperms 0644 /etc/{redis,sentinel}.conf
+
+       newconfd "${FILESDIR}/redis.confd-r1" redis
+       newinitd "${FILESDIR}/redis.initd-5" redis
+
+       systemd_newunit "${FILESDIR}/redis.service-3" redis.service
+       systemd_newtmpfilesd "${FILESDIR}/redis.tmpfiles-2" redis.conf
+
+       newconfd "${FILESDIR}/redis-sentinel.confd" redis-sentinel
+       newinitd "${FILESDIR}/redis-sentinel.initd" redis-sentinel
+
+       insinto /etc/logrotate.d/
+       newins "${FILESDIR}/${PN}.logrotate" ${PN}
+
+       dodoc 00-RELEASENOTES BUGS CONTRIBUTING MANIFESTO README.md
+
+       dobin src/redis-cli
+       dosbin src/redis-benchmark src/redis-server src/redis-check-aof 
src/redis-check-rdb
+       fperms 0750 /usr/sbin/redis-benchmark
+       dosym redis-server /usr/sbin/redis-sentinel
+
+       if use prefix; then
+               diropts -m0750
+       else
+               diropts -m0750 -o redis -g redis
+       fi
+       keepdir /var/{log,lib}/redis
+}

Reply via email to